// source: v1/order/model_cancel_claim.proto
/**
 * @fileoverview
 * @enhanceable
 * @suppress {messageConventions} JS Compiler reports an error if a variable or
 *     field starts with 'MSG_' and isn't a translatable message.
 * @public
 */
// GENERATED CODE -- DO NOT EDIT!

var jspb = require('google-protobuf');
var goog = jspb;
var global = Function('return this')();

var google_protobuf_timestamp_pb = require('google-protobuf/google/protobuf/timestamp_pb.js');
goog.object.extend(proto, google_protobuf_timestamp_pb);
var google_protobuf_wrappers_pb = require('google-protobuf/google/protobuf/wrappers_pb.js');
goog.object.extend(proto, google_protobuf_wrappers_pb);
var v1_order_common_pb = require('../../v1/order/common_pb.js');
goog.object.extend(proto, v1_order_common_pb);
var v1_order_enum_pb = require('../../v1/order/enum_pb.js');
goog.object.extend(proto, v1_order_enum_pb);
var v1_order_model_deal_pb = require('../../v1/order/model_deal_pb.js');
goog.object.extend(proto, v1_order_model_deal_pb);
goog.exportSymbol('proto.fcp.order.v1.order.CancelClaim', null, global);
goog.exportSymbol('proto.fcp.order.v1.order.CancelClaim.Status', null, global);
goog.exportSymbol('proto.fcp.order.v1.order.CancelClaim.StatusValue', null, global);
goog.exportSymbol('proto.fcp.order.v1.order.CancelClaimFilter', null, global);
goog.exportSymbol('proto.fcp.order.v1.order.GetCancelClaimRequest', null, global);
goog.exportSymbol('proto.fcp.order.v1.order.GetCancelClaimResponse', null, global);
goog.exportSymbol('proto.fcp.order.v1.order.ListCancelClaimRequest', null, global);
goog.exportSymbol('proto.fcp.order.v1.order.ListCancelClaimResponse', null, global);
goog.exportSymbol('proto.fcp.order.v1.order.SaveCancelClaimRequest', null, global);
goog.exportSymbol('proto.fcp.order.v1.order.SaveCancelClaimResponse', null, global);
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order.CancelClaim = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.order.v1.order.CancelClaim, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order.CancelClaim.displayName = 'proto.fcp.order.v1.order.CancelClaim';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order.CancelClaim.StatusValue = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.order.v1.order.CancelClaim.StatusValue, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order.CancelClaim.StatusValue.displayName = 'proto.fcp.order.v1.order.CancelClaim.StatusValue';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order.CancelClaimFilter = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.order.v1.order.CancelClaimFilter.repeatedFields_, null);
};
goog.inherits(proto.fcp.order.v1.order.CancelClaimFilter, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order.CancelClaimFilter.displayName = 'proto.fcp.order.v1.order.CancelClaimFilter';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order.ListCancelClaimRequest = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.order.v1.order.ListCancelClaimRequest.repeatedFields_, null);
};
goog.inherits(proto.fcp.order.v1.order.ListCancelClaimRequest, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order.ListCancelClaimRequest.displayName = 'proto.fcp.order.v1.order.ListCancelClaimRequest';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order.ListCancelClaimResponse = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.order.v1.order.ListCancelClaimResponse.repeatedFields_, null);
};
goog.inherits(proto.fcp.order.v1.order.ListCancelClaimResponse, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order.ListCancelClaimResponse.displayName = 'proto.fcp.order.v1.order.ListCancelClaimResponse';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order.GetCancelClaimRequest = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.order.v1.order.GetCancelClaimRequest, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order.GetCancelClaimRequest.displayName = 'proto.fcp.order.v1.order.GetCancelClaimRequest';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order.GetCancelClaimResponse = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.order.v1.order.GetCancelClaimResponse, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order.GetCancelClaimResponse.displayName = 'proto.fcp.order.v1.order.GetCancelClaimResponse';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order.SaveCancelClaimRequest = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.order.v1.order.SaveCancelClaimRequest, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order.SaveCancelClaimRequest.displayName = 'proto.fcp.order.v1.order.SaveCancelClaimRequest';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.order.v1.order.SaveCancelClaimResponse = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.order.v1.order.SaveCancelClaimResponse, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.order.v1.order.SaveCancelClaimResponse.displayName = 'proto.fcp.order.v1.order.SaveCancelClaimResponse';
}



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order.CancelClaim.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order.CancelClaim.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order.CancelClaim} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.CancelClaim.toObject = function(includeInstance, msg) {
  var f, obj = {
    id: jspb.Message.getFieldWithDefault(msg, 1, 0),
    externalId: jspb.Message.getFieldWithDefault(msg, 2, ""),
    status: jspb.Message.getFieldWithDefault(msg, 3, 0),
    multiDealId: jspb.Message.getFieldWithDefault(msg, 4, 0),
    dealId: jspb.Message.getFieldWithDefault(msg, 7, 0),
    dealExternalId: jspb.Message.getFieldWithDefault(msg, 10, ""),
    reason: jspb.Message.getFieldWithDefault(msg, 5, 0),
    reasonComment: jspb.Message.getFieldWithDefault(msg, 6, ""),
    adminId: jspb.Message.getFieldWithDefault(msg, 9, ""),
    description: jspb.Message.getFieldWithDefault(msg, 21, ""),
    audit: (f = msg.getAudit()) && v1_order_common_pb.Audit.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order.CancelClaim}
 */
proto.fcp.order.v1.order.CancelClaim.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order.CancelClaim;
  return proto.fcp.order.v1.order.CancelClaim.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order.CancelClaim} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order.CancelClaim}
 */
proto.fcp.order.v1.order.CancelClaim.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {number} */ (reader.readInt64());
      msg.setId(value);
      break;
    case 2:
      var value = /** @type {string} */ (reader.readString());
      msg.setExternalId(value);
      break;
    case 3:
      var value = /** @type {!proto.fcp.order.v1.order.CancelClaim.Status} */ (reader.readEnum());
      msg.setStatus(value);
      break;
    case 4:
      var value = /** @type {number} */ (reader.readInt64());
      msg.setMultiDealId(value);
      break;
    case 7:
      var value = /** @type {number} */ (reader.readInt64());
      msg.setDealId(value);
      break;
    case 10:
      var value = /** @type {string} */ (reader.readString());
      msg.setDealExternalId(value);
      break;
    case 5:
      var value = /** @type {!proto.fcp.order.v1.order.CancelClaimReason} */ (reader.readEnum());
      msg.setReason(value);
      break;
    case 6:
      var value = /** @type {string} */ (reader.readString());
      msg.setReasonComment(value);
      break;
    case 9:
      var value = /** @type {string} */ (reader.readString());
      msg.setAdminId(value);
      break;
    case 21:
      var value = /** @type {string} */ (reader.readString());
      msg.setDescription(value);
      break;
    case 22:
      var value = new v1_order_common_pb.Audit;
      reader.readMessage(value,v1_order_common_pb.Audit.deserializeBinaryFromReader);
      msg.setAudit(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order.CancelClaim.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order.CancelClaim.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order.CancelClaim} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.CancelClaim.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getId();
  if (f !== 0) {
    writer.writeInt64(
      1,
      f
    );
  }
  f = message.getExternalId();
  if (f.length > 0) {
    writer.writeString(
      2,
      f
    );
  }
  f = message.getStatus();
  if (f !== 0.0) {
    writer.writeEnum(
      3,
      f
    );
  }
  f = message.getMultiDealId();
  if (f !== 0) {
    writer.writeInt64(
      4,
      f
    );
  }
  f = message.getDealId();
  if (f !== 0) {
    writer.writeInt64(
      7,
      f
    );
  }
  f = message.getDealExternalId();
  if (f.length > 0) {
    writer.writeString(
      10,
      f
    );
  }
  f = message.getReason();
  if (f !== 0.0) {
    writer.writeEnum(
      5,
      f
    );
  }
  f = message.getReasonComment();
  if (f.length > 0) {
    writer.writeString(
      6,
      f
    );
  }
  f = message.getAdminId();
  if (f.length > 0) {
    writer.writeString(
      9,
      f
    );
  }
  f = message.getDescription();
  if (f.length > 0) {
    writer.writeString(
      21,
      f
    );
  }
  f = message.getAudit();
  if (f != null) {
    writer.writeMessage(
      22,
      f,
      v1_order_common_pb.Audit.serializeBinaryToWriter
    );
  }
};


/**
 * @enum {number}
 */
proto.fcp.order.v1.order.CancelClaim.Status = {
  ACTIVE: 0,
  REJECT: 1,
  DONE: 2
};




if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order.CancelClaim.StatusValue.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order.CancelClaim.StatusValue.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order.CancelClaim.StatusValue} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.CancelClaim.StatusValue.toObject = function(includeInstance, msg) {
  var f, obj = {
    value: jspb.Message.getFieldWithDefault(msg, 1, 0)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order.CancelClaim.StatusValue}
 */
proto.fcp.order.v1.order.CancelClaim.StatusValue.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order.CancelClaim.StatusValue;
  return proto.fcp.order.v1.order.CancelClaim.StatusValue.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order.CancelClaim.StatusValue} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order.CancelClaim.StatusValue}
 */
proto.fcp.order.v1.order.CancelClaim.StatusValue.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {!proto.fcp.order.v1.order.CancelClaim.Status} */ (reader.readEnum());
      msg.setValue(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order.CancelClaim.StatusValue.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order.CancelClaim.StatusValue.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order.CancelClaim.StatusValue} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.CancelClaim.StatusValue.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getValue();
  if (f !== 0.0) {
    writer.writeEnum(
      1,
      f
    );
  }
};


/**
 * optional Status value = 1;
 * @return {!proto.fcp.order.v1.order.CancelClaim.Status}
 */
proto.fcp.order.v1.order.CancelClaim.StatusValue.prototype.getValue = function() {
  return /** @type {!proto.fcp.order.v1.order.CancelClaim.Status} */ (jspb.Message.getFieldWithDefault(this, 1, 0));
};


/**
 * @param {!proto.fcp.order.v1.order.CancelClaim.Status} value
 * @return {!proto.fcp.order.v1.order.CancelClaim.StatusValue} returns this
 */
proto.fcp.order.v1.order.CancelClaim.StatusValue.prototype.setValue = function(value) {
  return jspb.Message.setProto3EnumField(this, 1, value);
};


/**
 * optional int64 id = 1;
 * @return {number}
 */
proto.fcp.order.v1.order.CancelClaim.prototype.getId = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 1, 0));
};


/**
 * @param {number} value
 * @return {!proto.fcp.order.v1.order.CancelClaim} returns this
 */
proto.fcp.order.v1.order.CancelClaim.prototype.setId = function(value) {
  return jspb.Message.setProto3IntField(this, 1, value);
};


/**
 * optional string external_id = 2;
 * @return {string}
 */
proto.fcp.order.v1.order.CancelClaim.prototype.getExternalId = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 2, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.order.v1.order.CancelClaim} returns this
 */
proto.fcp.order.v1.order.CancelClaim.prototype.setExternalId = function(value) {
  return jspb.Message.setProto3StringField(this, 2, value);
};


/**
 * optional Status status = 3;
 * @return {!proto.fcp.order.v1.order.CancelClaim.Status}
 */
proto.fcp.order.v1.order.CancelClaim.prototype.getStatus = function() {
  return /** @type {!proto.fcp.order.v1.order.CancelClaim.Status} */ (jspb.Message.getFieldWithDefault(this, 3, 0));
};


/**
 * @param {!proto.fcp.order.v1.order.CancelClaim.Status} value
 * @return {!proto.fcp.order.v1.order.CancelClaim} returns this
 */
proto.fcp.order.v1.order.CancelClaim.prototype.setStatus = function(value) {
  return jspb.Message.setProto3EnumField(this, 3, value);
};


/**
 * optional int64 multi_deal_id = 4;
 * @return {number}
 */
proto.fcp.order.v1.order.CancelClaim.prototype.getMultiDealId = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 4, 0));
};


/**
 * @param {number} value
 * @return {!proto.fcp.order.v1.order.CancelClaim} returns this
 */
proto.fcp.order.v1.order.CancelClaim.prototype.setMultiDealId = function(value) {
  return jspb.Message.setProto3IntField(this, 4, value);
};


/**
 * optional int64 deal_id = 7;
 * @return {number}
 */
proto.fcp.order.v1.order.CancelClaim.prototype.getDealId = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 7, 0));
};


/**
 * @param {number} value
 * @return {!proto.fcp.order.v1.order.CancelClaim} returns this
 */
proto.fcp.order.v1.order.CancelClaim.prototype.setDealId = function(value) {
  return jspb.Message.setProto3IntField(this, 7, value);
};


/**
 * optional string deal_external_id = 10;
 * @return {string}
 */
proto.fcp.order.v1.order.CancelClaim.prototype.getDealExternalId = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 10, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.order.v1.order.CancelClaim} returns this
 */
proto.fcp.order.v1.order.CancelClaim.prototype.setDealExternalId = function(value) {
  return jspb.Message.setProto3StringField(this, 10, value);
};


/**
 * optional CancelClaimReason reason = 5;
 * @return {!proto.fcp.order.v1.order.CancelClaimReason}
 */
proto.fcp.order.v1.order.CancelClaim.prototype.getReason = function() {
  return /** @type {!proto.fcp.order.v1.order.CancelClaimReason} */ (jspb.Message.getFieldWithDefault(this, 5, 0));
};


/**
 * @param {!proto.fcp.order.v1.order.CancelClaimReason} value
 * @return {!proto.fcp.order.v1.order.CancelClaim} returns this
 */
proto.fcp.order.v1.order.CancelClaim.prototype.setReason = function(value) {
  return jspb.Message.setProto3EnumField(this, 5, value);
};


/**
 * optional string reason_comment = 6;
 * @return {string}
 */
proto.fcp.order.v1.order.CancelClaim.prototype.getReasonComment = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 6, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.order.v1.order.CancelClaim} returns this
 */
proto.fcp.order.v1.order.CancelClaim.prototype.setReasonComment = function(value) {
  return jspb.Message.setProto3StringField(this, 6, value);
};


/**
 * optional string admin_id = 9;
 * @return {string}
 */
proto.fcp.order.v1.order.CancelClaim.prototype.getAdminId = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 9, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.order.v1.order.CancelClaim} returns this
 */
proto.fcp.order.v1.order.CancelClaim.prototype.setAdminId = function(value) {
  return jspb.Message.setProto3StringField(this, 9, value);
};


/**
 * optional string description = 21;
 * @return {string}
 */
proto.fcp.order.v1.order.CancelClaim.prototype.getDescription = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 21, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.order.v1.order.CancelClaim} returns this
 */
proto.fcp.order.v1.order.CancelClaim.prototype.setDescription = function(value) {
  return jspb.Message.setProto3StringField(this, 21, value);
};


/**
 * optional Audit audit = 22;
 * @return {?proto.fcp.order.v1.order.Audit}
 */
proto.fcp.order.v1.order.CancelClaim.prototype.getAudit = function() {
  return /** @type{?proto.fcp.order.v1.order.Audit} */ (
    jspb.Message.getWrapperField(this, v1_order_common_pb.Audit, 22));
};


/**
 * @param {?proto.fcp.order.v1.order.Audit|undefined} value
 * @return {!proto.fcp.order.v1.order.CancelClaim} returns this
*/
proto.fcp.order.v1.order.CancelClaim.prototype.setAudit = function(value) {
  return jspb.Message.setWrapperField(this, 22, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.CancelClaim} returns this
 */
proto.fcp.order.v1.order.CancelClaim.prototype.clearAudit = function() {
  return this.setAudit(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.CancelClaim.prototype.hasAudit = function() {
  return jspb.Message.getField(this, 22) != null;
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.order.v1.order.CancelClaimFilter.repeatedFields_ = [1];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order.CancelClaimFilter.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order.CancelClaimFilter} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.CancelClaimFilter.toObject = function(includeInstance, msg) {
  var f, obj = {
    statusesList: (f = jspb.Message.getRepeatedField(msg, 1)) == null ? undefined : f,
    reason: (f = msg.getReason()) && v1_order_enum_pb.CancelClaimReasonValue.toObject(includeInstance, f),
    reasonComment: (f = msg.getReasonComment()) && google_protobuf_wrappers_pb.StringValue.toObject(includeInstance, f),
    externalId: (f = msg.getExternalId()) && google_protobuf_wrappers_pb.StringValue.toObject(includeInstance, f),
    dealId: (f = msg.getDealId()) && google_protobuf_wrappers_pb.Int64Value.toObject(includeInstance, f),
    multiDealId: (f = msg.getMultiDealId()) && google_protobuf_wrappers_pb.Int64Value.toObject(includeInstance, f),
    description: (f = msg.getDescription()) && google_protobuf_wrappers_pb.StringValue.toObject(includeInstance, f),
    updated: (f = msg.getUpdated()) && v1_order_common_pb.TimeRange.toObject(includeInstance, f),
    createdName: (f = msg.getCreatedName()) && google_protobuf_wrappers_pb.StringValue.toObject(includeInstance, f),
    created: (f = msg.getCreated()) && v1_order_common_pb.TimeRange.toObject(includeInstance, f),
    state: (f = msg.getState()) && v1_order_common_pb.StateValue.toObject(includeInstance, f),
    createdBy: (f = msg.getCreatedBy()) && google_protobuf_wrappers_pb.StringValue.toObject(includeInstance, f),
    updatedBy: (f = msg.getUpdatedBy()) && google_protobuf_wrappers_pb.StringValue.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order.CancelClaimFilter}
 */
proto.fcp.order.v1.order.CancelClaimFilter.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order.CancelClaimFilter;
  return proto.fcp.order.v1.order.CancelClaimFilter.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order.CancelClaimFilter} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order.CancelClaimFilter}
 */
proto.fcp.order.v1.order.CancelClaimFilter.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {!Array<!proto.fcp.order.v1.order.CancelClaim.Status>} */ (reader.readPackedEnum());
      msg.setStatusesList(value);
      break;
    case 2:
      var value = new v1_order_enum_pb.CancelClaimReasonValue;
      reader.readMessage(value,v1_order_enum_pb.CancelClaimReasonValue.deserializeBinaryFromReader);
      msg.setReason(value);
      break;
    case 5:
      var value = new google_protobuf_wrappers_pb.StringValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.StringValue.deserializeBinaryFromReader);
      msg.setReasonComment(value);
      break;
    case 6:
      var value = new google_protobuf_wrappers_pb.StringValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.StringValue.deserializeBinaryFromReader);
      msg.setExternalId(value);
      break;
    case 7:
      var value = new google_protobuf_wrappers_pb.Int64Value;
      reader.readMessage(value,google_protobuf_wrappers_pb.Int64Value.deserializeBinaryFromReader);
      msg.setDealId(value);
      break;
    case 3:
      var value = new google_protobuf_wrappers_pb.Int64Value;
      reader.readMessage(value,google_protobuf_wrappers_pb.Int64Value.deserializeBinaryFromReader);
      msg.setMultiDealId(value);
      break;
    case 4:
      var value = new google_protobuf_wrappers_pb.StringValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.StringValue.deserializeBinaryFromReader);
      msg.setDescription(value);
      break;
    case 12:
      var value = new v1_order_common_pb.TimeRange;
      reader.readMessage(value,v1_order_common_pb.TimeRange.deserializeBinaryFromReader);
      msg.setUpdated(value);
      break;
    case 13:
      var value = new google_protobuf_wrappers_pb.StringValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.StringValue.deserializeBinaryFromReader);
      msg.setCreatedName(value);
      break;
    case 14:
      var value = new v1_order_common_pb.TimeRange;
      reader.readMessage(value,v1_order_common_pb.TimeRange.deserializeBinaryFromReader);
      msg.setCreated(value);
      break;
    case 15:
      var value = new v1_order_common_pb.StateValue;
      reader.readMessage(value,v1_order_common_pb.StateValue.deserializeBinaryFromReader);
      msg.setState(value);
      break;
    case 16:
      var value = new google_protobuf_wrappers_pb.StringValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.StringValue.deserializeBinaryFromReader);
      msg.setCreatedBy(value);
      break;
    case 17:
      var value = new google_protobuf_wrappers_pb.StringValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.StringValue.deserializeBinaryFromReader);
      msg.setUpdatedBy(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order.CancelClaimFilter.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order.CancelClaimFilter} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.CancelClaimFilter.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getStatusesList();
  if (f.length > 0) {
    writer.writePackedEnum(
      1,
      f
    );
  }
  f = message.getReason();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      v1_order_enum_pb.CancelClaimReasonValue.serializeBinaryToWriter
    );
  }
  f = message.getReasonComment();
  if (f != null) {
    writer.writeMessage(
      5,
      f,
      google_protobuf_wrappers_pb.StringValue.serializeBinaryToWriter
    );
  }
  f = message.getExternalId();
  if (f != null) {
    writer.writeMessage(
      6,
      f,
      google_protobuf_wrappers_pb.StringValue.serializeBinaryToWriter
    );
  }
  f = message.getDealId();
  if (f != null) {
    writer.writeMessage(
      7,
      f,
      google_protobuf_wrappers_pb.Int64Value.serializeBinaryToWriter
    );
  }
  f = message.getMultiDealId();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      google_protobuf_wrappers_pb.Int64Value.serializeBinaryToWriter
    );
  }
  f = message.getDescription();
  if (f != null) {
    writer.writeMessage(
      4,
      f,
      google_protobuf_wrappers_pb.StringValue.serializeBinaryToWriter
    );
  }
  f = message.getUpdated();
  if (f != null) {
    writer.writeMessage(
      12,
      f,
      v1_order_common_pb.TimeRange.serializeBinaryToWriter
    );
  }
  f = message.getCreatedName();
  if (f != null) {
    writer.writeMessage(
      13,
      f,
      google_protobuf_wrappers_pb.StringValue.serializeBinaryToWriter
    );
  }
  f = message.getCreated();
  if (f != null) {
    writer.writeMessage(
      14,
      f,
      v1_order_common_pb.TimeRange.serializeBinaryToWriter
    );
  }
  f = message.getState();
  if (f != null) {
    writer.writeMessage(
      15,
      f,
      v1_order_common_pb.StateValue.serializeBinaryToWriter
    );
  }
  f = message.getCreatedBy();
  if (f != null) {
    writer.writeMessage(
      16,
      f,
      google_protobuf_wrappers_pb.StringValue.serializeBinaryToWriter
    );
  }
  f = message.getUpdatedBy();
  if (f != null) {
    writer.writeMessage(
      17,
      f,
      google_protobuf_wrappers_pb.StringValue.serializeBinaryToWriter
    );
  }
};


/**
 * repeated CancelClaim.Status statuses = 1;
 * @return {!Array<!proto.fcp.order.v1.order.CancelClaim.Status>}
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.getStatusesList = function() {
  return /** @type {!Array<!proto.fcp.order.v1.order.CancelClaim.Status>} */ (jspb.Message.getRepeatedField(this, 1));
};


/**
 * @param {!Array<!proto.fcp.order.v1.order.CancelClaim.Status>} value
 * @return {!proto.fcp.order.v1.order.CancelClaimFilter} returns this
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.setStatusesList = function(value) {
  return jspb.Message.setField(this, 1, value || []);
};


/**
 * @param {!proto.fcp.order.v1.order.CancelClaim.Status} value
 * @param {number=} opt_index
 * @return {!proto.fcp.order.v1.order.CancelClaimFilter} returns this
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.addStatuses = function(value, opt_index) {
  return jspb.Message.addToRepeatedField(this, 1, value, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.order.v1.order.CancelClaimFilter} returns this
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.clearStatusesList = function() {
  return this.setStatusesList([]);
};


/**
 * optional CancelClaimReasonValue reason = 2;
 * @return {?proto.fcp.order.v1.order.CancelClaimReasonValue}
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.getReason = function() {
  return /** @type{?proto.fcp.order.v1.order.CancelClaimReasonValue} */ (
    jspb.Message.getWrapperField(this, v1_order_enum_pb.CancelClaimReasonValue, 2));
};


/**
 * @param {?proto.fcp.order.v1.order.CancelClaimReasonValue|undefined} value
 * @return {!proto.fcp.order.v1.order.CancelClaimFilter} returns this
*/
proto.fcp.order.v1.order.CancelClaimFilter.prototype.setReason = function(value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.CancelClaimFilter} returns this
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.clearReason = function() {
  return this.setReason(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.hasReason = function() {
  return jspb.Message.getField(this, 2) != null;
};


/**
 * optional google.protobuf.StringValue reason_comment = 5;
 * @return {?proto.google.protobuf.StringValue}
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.getReasonComment = function() {
  return /** @type{?proto.google.protobuf.StringValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.StringValue, 5));
};


/**
 * @param {?proto.google.protobuf.StringValue|undefined} value
 * @return {!proto.fcp.order.v1.order.CancelClaimFilter} returns this
*/
proto.fcp.order.v1.order.CancelClaimFilter.prototype.setReasonComment = function(value) {
  return jspb.Message.setWrapperField(this, 5, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.CancelClaimFilter} returns this
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.clearReasonComment = function() {
  return this.setReasonComment(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.hasReasonComment = function() {
  return jspb.Message.getField(this, 5) != null;
};


/**
 * optional google.protobuf.StringValue external_id = 6;
 * @return {?proto.google.protobuf.StringValue}
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.getExternalId = function() {
  return /** @type{?proto.google.protobuf.StringValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.StringValue, 6));
};


/**
 * @param {?proto.google.protobuf.StringValue|undefined} value
 * @return {!proto.fcp.order.v1.order.CancelClaimFilter} returns this
*/
proto.fcp.order.v1.order.CancelClaimFilter.prototype.setExternalId = function(value) {
  return jspb.Message.setWrapperField(this, 6, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.CancelClaimFilter} returns this
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.clearExternalId = function() {
  return this.setExternalId(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.hasExternalId = function() {
  return jspb.Message.getField(this, 6) != null;
};


/**
 * optional google.protobuf.Int64Value deal_id = 7;
 * @return {?proto.google.protobuf.Int64Value}
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.getDealId = function() {
  return /** @type{?proto.google.protobuf.Int64Value} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.Int64Value, 7));
};


/**
 * @param {?proto.google.protobuf.Int64Value|undefined} value
 * @return {!proto.fcp.order.v1.order.CancelClaimFilter} returns this
*/
proto.fcp.order.v1.order.CancelClaimFilter.prototype.setDealId = function(value) {
  return jspb.Message.setWrapperField(this, 7, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.CancelClaimFilter} returns this
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.clearDealId = function() {
  return this.setDealId(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.hasDealId = function() {
  return jspb.Message.getField(this, 7) != null;
};


/**
 * optional google.protobuf.Int64Value multi_deal_id = 3;
 * @return {?proto.google.protobuf.Int64Value}
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.getMultiDealId = function() {
  return /** @type{?proto.google.protobuf.Int64Value} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.Int64Value, 3));
};


/**
 * @param {?proto.google.protobuf.Int64Value|undefined} value
 * @return {!proto.fcp.order.v1.order.CancelClaimFilter} returns this
*/
proto.fcp.order.v1.order.CancelClaimFilter.prototype.setMultiDealId = function(value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.CancelClaimFilter} returns this
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.clearMultiDealId = function() {
  return this.setMultiDealId(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.hasMultiDealId = function() {
  return jspb.Message.getField(this, 3) != null;
};


/**
 * optional google.protobuf.StringValue description = 4;
 * @return {?proto.google.protobuf.StringValue}
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.getDescription = function() {
  return /** @type{?proto.google.protobuf.StringValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.StringValue, 4));
};


/**
 * @param {?proto.google.protobuf.StringValue|undefined} value
 * @return {!proto.fcp.order.v1.order.CancelClaimFilter} returns this
*/
proto.fcp.order.v1.order.CancelClaimFilter.prototype.setDescription = function(value) {
  return jspb.Message.setWrapperField(this, 4, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.CancelClaimFilter} returns this
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.clearDescription = function() {
  return this.setDescription(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.hasDescription = function() {
  return jspb.Message.getField(this, 4) != null;
};


/**
 * optional TimeRange updated = 12;
 * @return {?proto.fcp.order.v1.order.TimeRange}
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.getUpdated = function() {
  return /** @type{?proto.fcp.order.v1.order.TimeRange} */ (
    jspb.Message.getWrapperField(this, v1_order_common_pb.TimeRange, 12));
};


/**
 * @param {?proto.fcp.order.v1.order.TimeRange|undefined} value
 * @return {!proto.fcp.order.v1.order.CancelClaimFilter} returns this
*/
proto.fcp.order.v1.order.CancelClaimFilter.prototype.setUpdated = function(value) {
  return jspb.Message.setWrapperField(this, 12, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.CancelClaimFilter} returns this
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.clearUpdated = function() {
  return this.setUpdated(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.hasUpdated = function() {
  return jspb.Message.getField(this, 12) != null;
};


/**
 * optional google.protobuf.StringValue created_name = 13;
 * @return {?proto.google.protobuf.StringValue}
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.getCreatedName = function() {
  return /** @type{?proto.google.protobuf.StringValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.StringValue, 13));
};


/**
 * @param {?proto.google.protobuf.StringValue|undefined} value
 * @return {!proto.fcp.order.v1.order.CancelClaimFilter} returns this
*/
proto.fcp.order.v1.order.CancelClaimFilter.prototype.setCreatedName = function(value) {
  return jspb.Message.setWrapperField(this, 13, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.CancelClaimFilter} returns this
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.clearCreatedName = function() {
  return this.setCreatedName(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.hasCreatedName = function() {
  return jspb.Message.getField(this, 13) != null;
};


/**
 * optional TimeRange created = 14;
 * @return {?proto.fcp.order.v1.order.TimeRange}
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.getCreated = function() {
  return /** @type{?proto.fcp.order.v1.order.TimeRange} */ (
    jspb.Message.getWrapperField(this, v1_order_common_pb.TimeRange, 14));
};


/**
 * @param {?proto.fcp.order.v1.order.TimeRange|undefined} value
 * @return {!proto.fcp.order.v1.order.CancelClaimFilter} returns this
*/
proto.fcp.order.v1.order.CancelClaimFilter.prototype.setCreated = function(value) {
  return jspb.Message.setWrapperField(this, 14, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.CancelClaimFilter} returns this
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.clearCreated = function() {
  return this.setCreated(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.hasCreated = function() {
  return jspb.Message.getField(this, 14) != null;
};


/**
 * optional StateValue state = 15;
 * @return {?proto.fcp.order.v1.order.StateValue}
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.getState = function() {
  return /** @type{?proto.fcp.order.v1.order.StateValue} */ (
    jspb.Message.getWrapperField(this, v1_order_common_pb.StateValue, 15));
};


/**
 * @param {?proto.fcp.order.v1.order.StateValue|undefined} value
 * @return {!proto.fcp.order.v1.order.CancelClaimFilter} returns this
*/
proto.fcp.order.v1.order.CancelClaimFilter.prototype.setState = function(value) {
  return jspb.Message.setWrapperField(this, 15, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.CancelClaimFilter} returns this
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.clearState = function() {
  return this.setState(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.hasState = function() {
  return jspb.Message.getField(this, 15) != null;
};


/**
 * optional google.protobuf.StringValue created_by = 16;
 * @return {?proto.google.protobuf.StringValue}
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.getCreatedBy = function() {
  return /** @type{?proto.google.protobuf.StringValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.StringValue, 16));
};


/**
 * @param {?proto.google.protobuf.StringValue|undefined} value
 * @return {!proto.fcp.order.v1.order.CancelClaimFilter} returns this
*/
proto.fcp.order.v1.order.CancelClaimFilter.prototype.setCreatedBy = function(value) {
  return jspb.Message.setWrapperField(this, 16, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.CancelClaimFilter} returns this
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.clearCreatedBy = function() {
  return this.setCreatedBy(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.hasCreatedBy = function() {
  return jspb.Message.getField(this, 16) != null;
};


/**
 * optional google.protobuf.StringValue updated_by = 17;
 * @return {?proto.google.protobuf.StringValue}
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.getUpdatedBy = function() {
  return /** @type{?proto.google.protobuf.StringValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.StringValue, 17));
};


/**
 * @param {?proto.google.protobuf.StringValue|undefined} value
 * @return {!proto.fcp.order.v1.order.CancelClaimFilter} returns this
*/
proto.fcp.order.v1.order.CancelClaimFilter.prototype.setUpdatedBy = function(value) {
  return jspb.Message.setWrapperField(this, 17, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.CancelClaimFilter} returns this
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.clearUpdatedBy = function() {
  return this.setUpdatedBy(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.CancelClaimFilter.prototype.hasUpdatedBy = function() {
  return jspb.Message.getField(this, 17) != null;
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.order.v1.order.ListCancelClaimRequest.repeatedFields_ = [2];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order.ListCancelClaimRequest.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order.ListCancelClaimRequest.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order.ListCancelClaimRequest} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.ListCancelClaimRequest.toObject = function(includeInstance, msg) {
  var f, obj = {
    filter: (f = msg.getFilter()) && proto.fcp.order.v1.order.CancelClaimFilter.toObject(includeInstance, f),
    sortingList: jspb.Message.toObjectList(msg.getSortingList(),
    v1_order_common_pb.Sorting.toObject, includeInstance),
    pagination: (f = msg.getPagination()) && v1_order_common_pb.PaginationRequest.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order.ListCancelClaimRequest}
 */
proto.fcp.order.v1.order.ListCancelClaimRequest.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order.ListCancelClaimRequest;
  return proto.fcp.order.v1.order.ListCancelClaimRequest.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order.ListCancelClaimRequest} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order.ListCancelClaimRequest}
 */
proto.fcp.order.v1.order.ListCancelClaimRequest.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new proto.fcp.order.v1.order.CancelClaimFilter;
      reader.readMessage(value,proto.fcp.order.v1.order.CancelClaimFilter.deserializeBinaryFromReader);
      msg.setFilter(value);
      break;
    case 2:
      var value = new v1_order_common_pb.Sorting;
      reader.readMessage(value,v1_order_common_pb.Sorting.deserializeBinaryFromReader);
      msg.addSorting(value);
      break;
    case 3:
      var value = new v1_order_common_pb.PaginationRequest;
      reader.readMessage(value,v1_order_common_pb.PaginationRequest.deserializeBinaryFromReader);
      msg.setPagination(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order.ListCancelClaimRequest.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order.ListCancelClaimRequest.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order.ListCancelClaimRequest} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.ListCancelClaimRequest.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getFilter();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      proto.fcp.order.v1.order.CancelClaimFilter.serializeBinaryToWriter
    );
  }
  f = message.getSortingList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      2,
      f,
      v1_order_common_pb.Sorting.serializeBinaryToWriter
    );
  }
  f = message.getPagination();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      v1_order_common_pb.PaginationRequest.serializeBinaryToWriter
    );
  }
};


/**
 * optional CancelClaimFilter filter = 1;
 * @return {?proto.fcp.order.v1.order.CancelClaimFilter}
 */
proto.fcp.order.v1.order.ListCancelClaimRequest.prototype.getFilter = function() {
  return /** @type{?proto.fcp.order.v1.order.CancelClaimFilter} */ (
    jspb.Message.getWrapperField(this, proto.fcp.order.v1.order.CancelClaimFilter, 1));
};


/**
 * @param {?proto.fcp.order.v1.order.CancelClaimFilter|undefined} value
 * @return {!proto.fcp.order.v1.order.ListCancelClaimRequest} returns this
*/
proto.fcp.order.v1.order.ListCancelClaimRequest.prototype.setFilter = function(value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.ListCancelClaimRequest} returns this
 */
proto.fcp.order.v1.order.ListCancelClaimRequest.prototype.clearFilter = function() {
  return this.setFilter(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.ListCancelClaimRequest.prototype.hasFilter = function() {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * repeated Sorting sorting = 2;
 * @return {!Array<!proto.fcp.order.v1.order.Sorting>}
 */
proto.fcp.order.v1.order.ListCancelClaimRequest.prototype.getSortingList = function() {
  return /** @type{!Array<!proto.fcp.order.v1.order.Sorting>} */ (
    jspb.Message.getRepeatedWrapperField(this, v1_order_common_pb.Sorting, 2));
};


/**
 * @param {!Array<!proto.fcp.order.v1.order.Sorting>} value
 * @return {!proto.fcp.order.v1.order.ListCancelClaimRequest} returns this
*/
proto.fcp.order.v1.order.ListCancelClaimRequest.prototype.setSortingList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 2, value);
};


/**
 * @param {!proto.fcp.order.v1.order.Sorting=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.order.v1.order.Sorting}
 */
proto.fcp.order.v1.order.ListCancelClaimRequest.prototype.addSorting = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 2, opt_value, proto.fcp.order.v1.order.Sorting, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.order.v1.order.ListCancelClaimRequest} returns this
 */
proto.fcp.order.v1.order.ListCancelClaimRequest.prototype.clearSortingList = function() {
  return this.setSortingList([]);
};


/**
 * optional PaginationRequest pagination = 3;
 * @return {?proto.fcp.order.v1.order.PaginationRequest}
 */
proto.fcp.order.v1.order.ListCancelClaimRequest.prototype.getPagination = function() {
  return /** @type{?proto.fcp.order.v1.order.PaginationRequest} */ (
    jspb.Message.getWrapperField(this, v1_order_common_pb.PaginationRequest, 3));
};


/**
 * @param {?proto.fcp.order.v1.order.PaginationRequest|undefined} value
 * @return {!proto.fcp.order.v1.order.ListCancelClaimRequest} returns this
*/
proto.fcp.order.v1.order.ListCancelClaimRequest.prototype.setPagination = function(value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.ListCancelClaimRequest} returns this
 */
proto.fcp.order.v1.order.ListCancelClaimRequest.prototype.clearPagination = function() {
  return this.setPagination(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.ListCancelClaimRequest.prototype.hasPagination = function() {
  return jspb.Message.getField(this, 3) != null;
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.order.v1.order.ListCancelClaimResponse.repeatedFields_ = [1];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order.ListCancelClaimResponse.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order.ListCancelClaimResponse.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order.ListCancelClaimResponse} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.ListCancelClaimResponse.toObject = function(includeInstance, msg) {
  var f, obj = {
    itemsList: jspb.Message.toObjectList(msg.getItemsList(),
    proto.fcp.order.v1.order.CancelClaim.toObject, includeInstance),
    pagination: (f = msg.getPagination()) && v1_order_common_pb.PaginationResponse.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order.ListCancelClaimResponse}
 */
proto.fcp.order.v1.order.ListCancelClaimResponse.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order.ListCancelClaimResponse;
  return proto.fcp.order.v1.order.ListCancelClaimResponse.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order.ListCancelClaimResponse} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order.ListCancelClaimResponse}
 */
proto.fcp.order.v1.order.ListCancelClaimResponse.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new proto.fcp.order.v1.order.CancelClaim;
      reader.readMessage(value,proto.fcp.order.v1.order.CancelClaim.deserializeBinaryFromReader);
      msg.addItems(value);
      break;
    case 2:
      var value = new v1_order_common_pb.PaginationResponse;
      reader.readMessage(value,v1_order_common_pb.PaginationResponse.deserializeBinaryFromReader);
      msg.setPagination(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order.ListCancelClaimResponse.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order.ListCancelClaimResponse.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order.ListCancelClaimResponse} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.ListCancelClaimResponse.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getItemsList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      1,
      f,
      proto.fcp.order.v1.order.CancelClaim.serializeBinaryToWriter
    );
  }
  f = message.getPagination();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      v1_order_common_pb.PaginationResponse.serializeBinaryToWriter
    );
  }
};


/**
 * repeated CancelClaim items = 1;
 * @return {!Array<!proto.fcp.order.v1.order.CancelClaim>}
 */
proto.fcp.order.v1.order.ListCancelClaimResponse.prototype.getItemsList = function() {
  return /** @type{!Array<!proto.fcp.order.v1.order.CancelClaim>} */ (
    jspb.Message.getRepeatedWrapperField(this, proto.fcp.order.v1.order.CancelClaim, 1));
};


/**
 * @param {!Array<!proto.fcp.order.v1.order.CancelClaim>} value
 * @return {!proto.fcp.order.v1.order.ListCancelClaimResponse} returns this
*/
proto.fcp.order.v1.order.ListCancelClaimResponse.prototype.setItemsList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 1, value);
};


/**
 * @param {!proto.fcp.order.v1.order.CancelClaim=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.order.v1.order.CancelClaim}
 */
proto.fcp.order.v1.order.ListCancelClaimResponse.prototype.addItems = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 1, opt_value, proto.fcp.order.v1.order.CancelClaim, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.order.v1.order.ListCancelClaimResponse} returns this
 */
proto.fcp.order.v1.order.ListCancelClaimResponse.prototype.clearItemsList = function() {
  return this.setItemsList([]);
};


/**
 * optional PaginationResponse pagination = 2;
 * @return {?proto.fcp.order.v1.order.PaginationResponse}
 */
proto.fcp.order.v1.order.ListCancelClaimResponse.prototype.getPagination = function() {
  return /** @type{?proto.fcp.order.v1.order.PaginationResponse} */ (
    jspb.Message.getWrapperField(this, v1_order_common_pb.PaginationResponse, 2));
};


/**
 * @param {?proto.fcp.order.v1.order.PaginationResponse|undefined} value
 * @return {!proto.fcp.order.v1.order.ListCancelClaimResponse} returns this
*/
proto.fcp.order.v1.order.ListCancelClaimResponse.prototype.setPagination = function(value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.ListCancelClaimResponse} returns this
 */
proto.fcp.order.v1.order.ListCancelClaimResponse.prototype.clearPagination = function() {
  return this.setPagination(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.ListCancelClaimResponse.prototype.hasPagination = function() {
  return jspb.Message.getField(this, 2) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order.GetCancelClaimRequest.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order.GetCancelClaimRequest.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order.GetCancelClaimRequest} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.GetCancelClaimRequest.toObject = function(includeInstance, msg) {
  var f, obj = {
    id: jspb.Message.getFieldWithDefault(msg, 1, 0)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order.GetCancelClaimRequest}
 */
proto.fcp.order.v1.order.GetCancelClaimRequest.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order.GetCancelClaimRequest;
  return proto.fcp.order.v1.order.GetCancelClaimRequest.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order.GetCancelClaimRequest} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order.GetCancelClaimRequest}
 */
proto.fcp.order.v1.order.GetCancelClaimRequest.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {number} */ (reader.readInt64());
      msg.setId(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order.GetCancelClaimRequest.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order.GetCancelClaimRequest.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order.GetCancelClaimRequest} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.GetCancelClaimRequest.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getId();
  if (f !== 0) {
    writer.writeInt64(
      1,
      f
    );
  }
};


/**
 * optional int64 id = 1;
 * @return {number}
 */
proto.fcp.order.v1.order.GetCancelClaimRequest.prototype.getId = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 1, 0));
};


/**
 * @param {number} value
 * @return {!proto.fcp.order.v1.order.GetCancelClaimRequest} returns this
 */
proto.fcp.order.v1.order.GetCancelClaimRequest.prototype.setId = function(value) {
  return jspb.Message.setProto3IntField(this, 1, value);
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order.GetCancelClaimResponse.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order.GetCancelClaimResponse.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order.GetCancelClaimResponse} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.GetCancelClaimResponse.toObject = function(includeInstance, msg) {
  var f, obj = {
    item: (f = msg.getItem()) && proto.fcp.order.v1.order.CancelClaim.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order.GetCancelClaimResponse}
 */
proto.fcp.order.v1.order.GetCancelClaimResponse.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order.GetCancelClaimResponse;
  return proto.fcp.order.v1.order.GetCancelClaimResponse.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order.GetCancelClaimResponse} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order.GetCancelClaimResponse}
 */
proto.fcp.order.v1.order.GetCancelClaimResponse.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new proto.fcp.order.v1.order.CancelClaim;
      reader.readMessage(value,proto.fcp.order.v1.order.CancelClaim.deserializeBinaryFromReader);
      msg.setItem(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order.GetCancelClaimResponse.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order.GetCancelClaimResponse.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order.GetCancelClaimResponse} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.GetCancelClaimResponse.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getItem();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      proto.fcp.order.v1.order.CancelClaim.serializeBinaryToWriter
    );
  }
};


/**
 * optional CancelClaim item = 1;
 * @return {?proto.fcp.order.v1.order.CancelClaim}
 */
proto.fcp.order.v1.order.GetCancelClaimResponse.prototype.getItem = function() {
  return /** @type{?proto.fcp.order.v1.order.CancelClaim} */ (
    jspb.Message.getWrapperField(this, proto.fcp.order.v1.order.CancelClaim, 1));
};


/**
 * @param {?proto.fcp.order.v1.order.CancelClaim|undefined} value
 * @return {!proto.fcp.order.v1.order.GetCancelClaimResponse} returns this
*/
proto.fcp.order.v1.order.GetCancelClaimResponse.prototype.setItem = function(value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.GetCancelClaimResponse} returns this
 */
proto.fcp.order.v1.order.GetCancelClaimResponse.prototype.clearItem = function() {
  return this.setItem(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.GetCancelClaimResponse.prototype.hasItem = function() {
  return jspb.Message.getField(this, 1) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order.SaveCancelClaimRequest.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order.SaveCancelClaimRequest.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order.SaveCancelClaimRequest} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.SaveCancelClaimRequest.toObject = function(includeInstance, msg) {
  var f, obj = {
    item: (f = msg.getItem()) && proto.fcp.order.v1.order.CancelClaim.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order.SaveCancelClaimRequest}
 */
proto.fcp.order.v1.order.SaveCancelClaimRequest.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order.SaveCancelClaimRequest;
  return proto.fcp.order.v1.order.SaveCancelClaimRequest.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order.SaveCancelClaimRequest} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order.SaveCancelClaimRequest}
 */
proto.fcp.order.v1.order.SaveCancelClaimRequest.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new proto.fcp.order.v1.order.CancelClaim;
      reader.readMessage(value,proto.fcp.order.v1.order.CancelClaim.deserializeBinaryFromReader);
      msg.setItem(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order.SaveCancelClaimRequest.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order.SaveCancelClaimRequest.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order.SaveCancelClaimRequest} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.SaveCancelClaimRequest.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getItem();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      proto.fcp.order.v1.order.CancelClaim.serializeBinaryToWriter
    );
  }
};


/**
 * optional CancelClaim item = 1;
 * @return {?proto.fcp.order.v1.order.CancelClaim}
 */
proto.fcp.order.v1.order.SaveCancelClaimRequest.prototype.getItem = function() {
  return /** @type{?proto.fcp.order.v1.order.CancelClaim} */ (
    jspb.Message.getWrapperField(this, proto.fcp.order.v1.order.CancelClaim, 1));
};


/**
 * @param {?proto.fcp.order.v1.order.CancelClaim|undefined} value
 * @return {!proto.fcp.order.v1.order.SaveCancelClaimRequest} returns this
*/
proto.fcp.order.v1.order.SaveCancelClaimRequest.prototype.setItem = function(value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.order.v1.order.SaveCancelClaimRequest} returns this
 */
proto.fcp.order.v1.order.SaveCancelClaimRequest.prototype.clearItem = function() {
  return this.setItem(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.order.v1.order.SaveCancelClaimRequest.prototype.hasItem = function() {
  return jspb.Message.getField(this, 1) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.order.v1.order.SaveCancelClaimResponse.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.order.v1.order.SaveCancelClaimResponse.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.order.v1.order.SaveCancelClaimResponse} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.SaveCancelClaimResponse.toObject = function(includeInstance, msg) {
  var f, obj = {
    id: jspb.Message.getFieldWithDefault(msg, 1, 0)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.order.v1.order.SaveCancelClaimResponse}
 */
proto.fcp.order.v1.order.SaveCancelClaimResponse.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.order.v1.order.SaveCancelClaimResponse;
  return proto.fcp.order.v1.order.SaveCancelClaimResponse.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.order.v1.order.SaveCancelClaimResponse} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.order.v1.order.SaveCancelClaimResponse}
 */
proto.fcp.order.v1.order.SaveCancelClaimResponse.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {number} */ (reader.readInt64());
      msg.setId(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.order.v1.order.SaveCancelClaimResponse.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.order.v1.order.SaveCancelClaimResponse.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.order.v1.order.SaveCancelClaimResponse} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.order.v1.order.SaveCancelClaimResponse.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getId();
  if (f !== 0) {
    writer.writeInt64(
      1,
      f
    );
  }
};


/**
 * optional int64 id = 1;
 * @return {number}
 */
proto.fcp.order.v1.order.SaveCancelClaimResponse.prototype.getId = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 1, 0));
};


/**
 * @param {number} value
 * @return {!proto.fcp.order.v1.order.SaveCancelClaimResponse} returns this
 */
proto.fcp.order.v1.order.SaveCancelClaimResponse.prototype.setId = function(value) {
  return jspb.Message.setProto3IntField(this, 1, value);
};


goog.object.extend(exports, proto.fcp.order.v1.order);
